%define jbhomedir %{_datadir}/%{name}
%define jbossdir  %{_localstatedir}/lib/%{name}
%define logdir    %{_localstatedir}/log
%define tmpdir    %{_localstatedir}/cache
%define jbver     4.0.5.GA_CP04

# Core package name
%define cpname jbossas-core

Summary:        JDK 1.4.x compatible classes for JBossAS
Name:           jbossas
Version:        4.0.5
Release:        2.CP04.el4s1.2
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
URL:            http://www.jboss.org/
Source1:        %{name}.catalog
Source2:        %{name}.conf
Source3:        %{name}.init

#mkdir -p jboss-4.0.5.GA_CP04-src/4.0.5.GA_CP04/
#svn export -r 63138 https://svn.jboss.org/repos/jbossas/branches/JBoss_4_0_5_GA_CP04_EJBTHREE-798 jboss-4.0.5.GA_CP04-src/4.0.5.GA_CP04/jboss-4.0.x/
#svn export -r 63138 https://svn.jboss.org/repos/jbossas/branches/JBoss_4_0_5_GA_CP04_EJBTHREE-798/build/build-release.xml jboss-4.0.5.GA_CP04-src/build-release.xml
Source4:        jboss-%{jbver}-src.tar.gz

#ant -f build-release.xml createthirdparty
Source5:        %{name}-4.0.x-tp.tar.gz

Source6:        %{name}-release.properties

Source9:        %{name}-archive-list
Source10:       %{name}-link-list

Patch0:         %{name}-bz215828.patch
Patch1:         %{name}-multicast.patch
Patch2:         %{name}-examples-jms-standalone-build_xml.patch
Patch3:         %{name}-enableauth.patch
Patch4:         %{name}-fixversion.patch

BuildRequires:  jpackage-utils,ant,ant-nodeps,gawk
BuildRequires:  java-1.4.2-bea, java-1.4.2-bea-devel
Requires:       jpackage-utils
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires(pre):  %{name}-core = %{epoch}:%{version}-%{release}
Requires:       /bin/grep,/bin/netstat
Requires(post): /usr/bin/md5sum

Conflicts:      %{name}-ejb3

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
This package provides JDK 1.4 compatible packages for JBossAS. The analogous 
JDK 1.5 component that replaces this one is jbossas-ejb3.

%package core
Summary:         JBoss J2EE Application Server
Group:           Internet/WWW/Servers
Requires(pre):   /usr/sbin/useradd, /usr/sbin/groupadd
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Obsoletes:       jbossas <= 4.0.4

%description core
JBoss Application Server is the most widely used Java application 
server on the market. A J2EE certified platform for developing and 
deploying enterprise Java applications, Web applications, and 
Portals, JBoss Application Server provides the full range of 
J2EE 1.4 features as well as extended enterprise services including 
clustering, caching, and persistence.

%prep
%setup -T -q -b 4 -n jboss-%{jbver}-src

%patch0
%patch1
%patch2
%patch3
%patch4

%build

tar xzf %{SOURCE5}
cp %{SOURCE6} release.properties
ant -f build-release.xml -Dinhibit.downloads=true build-dist release

# Extract the "distribution" so that we can patch appropriate files 
# and install from it
unzip %{jbver}/dist/jboss-%{jbver}.zip
cd jboss-%{jbver}

# Copy DTD catalog into place
install -m 644 %{SOURCE1} docs/dtd/catalog
# file missing from binary dist
#install -m 644 %{SOURCE4} docs/licenses/sun-specs.txt

%install
rm -rf $RPM_BUILD_ROOT

# Go into the distribution dir
pushd jboss-%{jbver}

# Global configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat > jbossas.conf << EOT
# System-wide configuration file for jbossas services
# This will be sourced by jbossas and any secondary service
# Values will be overridden by service-specific configuration
# files in /etc/sysconfig
# Use this one to change default values for all services
# Change the service specific ones to affect only one service
# (see, for instance, /etc/sysconfig/jbossas)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas.conf
install -m 644 jbossas.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm jbossas.conf
# Service-specific configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat > jbossas << EOT
# Service-specific configuration file for jbossas services
# This will be sourced by the SysV service script after the global
# configuration file /etc/jbossas/jbossas.conf, thus allowing values
# to be overridden on a per-service way
#
# NEVER change the init script itself:
# To change values for all services make your changes in
# /etc/jbossas/jbossas.conf
# To change values for a specific service, change it here
# To create a new service, create a link from /etc/init.d/<you new service> to
# /etc/init.d/jbossas (do not copy the init script) and make a copy of the
# /etc/sysconfig/jbossas file to /etc/sysconfig/<you new service> and change
# the property values so the two services won't conflict
# Register the new service in the system as usual (see chkconfig and similars)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas
install -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
rm jbossas
# Configuration file used when run.sh is used
install -m 644 bin/run.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 %{SOURCE3} \
            $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client
cp -pr client/* $RPM_BUILD_ROOT%{jbhomedir}/client
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr lib/* $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr server $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tests

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
for script in classpath probe run shutdown twiddle wstools; do
  install -m 0755 bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
  ln -sf %{jbossdir}/bin/${script}.sh $RPM_BUILD_ROOT%{_bindir}/jbossas-${script}
done
install -m 644 bin/*.jar $RPM_BUILD_ROOT%{jbossdir}/bin
pushd $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{_sysconfdir}/%{name}/run.conf .
popd

install -m 644 copyright.txt $RPM_BUILD_ROOT%{jbossdir}
install -m 644 jar-versions.xml $RPM_BUILD_ROOT%{jbossdir}
install -m 644 *.html $RPM_BUILD_ROOT%{jbossdir}

ln -s %{jbhomedir}/client $RPM_BUILD_ROOT%{jbossdir}/client
ln -s %{jbhomedir}/lib $RPM_BUILD_ROOT%{jbossdir}/lib
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs

ln -s %{jbossdir}/bin $RPM_BUILD_ROOT%{jbhomedir}/bin
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbhomedir}/docs
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{jbhomedir}/server

for server in all default minimal; do
  mv $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$server
  ln -sf %{_sysconfdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}/$server
# avoid these symlinks for now
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/temp/$server
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/work/$server
# and replace them by straight dirs
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
#
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
# avoid these symlinks for now
# ln -s %{tmpdir}/%{name}/temp/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
# ln -s %{tmpdir}/%{name}/work/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
done
#cleanup
find $RPM_BUILD_ROOT -name "*.sav" -exec rm -f {} \;

popd


# File list was generated by logging the build, then for #1, searchdir is %topdir/BUILD/jboss-4.0.5.GA-src and for #2, it is %topdir/BUILD/jboss-4.0.5.GA-src/jboss-4.0.5.GA/: 

# 1. Create a list of all archives
#searchdir=SEARCH_DIR; grep ar$ build.log  | grep Building | grep -v test  | awk '{print $NF}' | sed -e s:$searchdir::g | sort -u > jbossas-archive-list.tmp 

# 2. Separate the ones we already have inb /var/lib/jbossas or in 
#    /usr/share/jbossas (so that we can just link these)
#searchdir=SEARCH_DIR; for i in `cat jbossas-archive-list.tmp | awk -F / '{print $NF}'`; do find $searchdir -type f -name $i | head -n 1 | sed -e s:$searchdir::g ; done | sort > jbossas-link-list

# 3. This is list from #1 - list from #2 (i.e. archive files that we will 
#    have to copy)
#for i in `cat jbossas-archive-list.tmp`; do grep -qE "`echo $i | awk -F / '{print $NF}'`" jbossas-link-list; if [ $? != "0" ]; then echo $i; fi; done > jbossas-archive-list

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars

# Files to copy
while read archive; do

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=`echo $archive | sed -e s:.*\\\.\\\\\(.ar\\\\\):\\\1:`

    if [ $extension == "rar" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/wars
    else
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}
    fi

    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`
    install -m 644 $archive $dir/$versionedname
    ln -s $versionedname $dir/`basename $archive`
done < %{SOURCE9}

# Files to link
while read archive; do

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=`echo $archive | sed -e s:.*\\\.\\\\\(.ar\\\\\):\\\1:`

    if [ $extension == "rar" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}/wars
    else
        dir=$RPM_BUILD_ROOT%{_javadir}/%{name}
    fi

    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`
    ln -s %{jbhomedir}/$archive $dir/$versionedname
    ln -s $versionedname $dir/`basename $archive`
done < %{SOURCE10}

# We automate a large part of the file list because there are lots of files 
# involved, and maintaining them individually would be a pain. The automation 
# may add a few seconds to a build, but it is worth it considering the 
# maintenance time it saves.

rm -f core-server-files
currdir=`pwd`

# Files in /var/lib/jbossas and /usr/share/jbossas
pushd $RPM_BUILD_ROOT
    for file in `find usr/share/jbossas/client var/lib/jbossas/server | sort`; do

        isdir=0

        if [ -d $RPM_BUILD_ROOT/$file ]; then
            isdir=1
        fi
        
        # To keep things cleaner below, strip out the leading path so that the rest 
        # of the code can assume that it is working inside of JBOSS_HOME
        file=`echo $file | sed -e s:var/lib/jbossas/server:server:g`
        file=`echo $file | sed -e s:usr/share/jbossas/client:client:g`

        # Skip the jbossas files
        if    [ "$file" == "client/jboss-backport-concurrent.jar" ] || \
            [ "$file" == "client/jbossretro-rt.jar" ] || \
            [ "$file" == "client/jbossws14-client.jar" ] || \
            [ "$file" == "client/namespace.jar" ] || \
            [[ "$file" =~ "server/all/deploy/jboss-aop.deployer*" ]] || \
            [[ "$file" =~ "server/all/deploy/jbossws14.sar*" ]] || \
            [[ "$file" =~ "server/default/deploy/jboss-aop.deployer*" ]] || \
            [[ "$file" =~ "server/default/deploy/jbossws14.sar*" ]] || \
            [ "$file" == "jar-versions.xml" ]; then \
            continue;
        fi

        fnamewithmacro=`echo $file | sed -e s:^server:'%\{jbossdir}/server':g`
        fnamewithmacro=`echo $fnamewithmacro | sed -e s:^client:'%\{jbhomedir}/client':g`

        if [ $isdir -eq 1 ]; then
            echo "%attr(-,jboss,jboss) %dir $fnamewithmacro" >> $currdir/core-server-files
        else

            # If this is an .xml or .properties file, it is config
            if [ "${file##*.}" == "xml" ] || [ "${file##*.}" == "properties" ]; then
                echo "%attr(-,jboss,jboss) %config(noreplace) $fnamewithmacro" >> $currdir/core-server-files
            else
                echo "%attr(-,jboss,jboss) $fnamewithmacro" >> $currdir/core-server-files
            fi
        fi
    done
popd

# Files in /usr/share/java/jbossas
pushd $RPM_BUILD_ROOT/usr/share/java/jbossas
    for file in `find -maxdepth 1 -not -type d | sort`; do

        # Get rid of the./ at the start
        file=`echo $file | sed -e s:^\\./::g`

        # Skip the jbossas files
        if     [ "$file" == "jboss-aspect-library-%{version}.jar" ] || \
            [ "$file" == "jboss-aspect-library.jar" ]; then
            continue;
        fi

        # There are no jbossas components in the rars/sars/wars dirs, so we 
        # can include them verbatim
        echo %\{_javadir}/jbossas/$file >> $currdir/core-server-files
    done
popd

# Additionally, also own the rars/sars/wars dir.
echo %\{_javadir}/jbossas/\*ars >> core-server-files

%clean
rm -rf $RPM_BUILD_ROOT

%pre core
JBOSS_SHELL=/bin/sh
/usr/sbin/groupadd -r jboss 2>/dev/null || :
/usr/sbin/useradd -c JBossAS -r -s $JBOSS_SHELL -d /usr/share/%{name} -g jboss jboss 2>/dev/null || :

%post core
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi

# We did some magic here in the last errata to prevent updates 
# to existing systems. Now we need to undo that.. in a nutshell
# .20 had v1 of /etc/jbossas/jbossas.conf
# .25 had v2 of it. If .25 was installed fresh, v2 got installed, 
#     if it was a .20->.25 upgrade, v1 remained. 
# 4.0.5 has v3 of the file. 
#
# We need to put v3 if the users had originally done .20->.25. In other 
# words, if /etc/jbossas/jbossas.conf.rpmnew exists, had the v3 md5, and
#     /etc/jbossas/jbossas.conf has v1 md5, replace it.
# So the ONLY thing we care about is during post if md5 == that of 
# v1, replace with v3. This is fine because v1 -> v3 will NOT produce 
# any behaviourial changes

# Old package was named 'jbossas', so this should only apply to "clean" 
# installs (i.e. jbossas -> jbossas-core or new jbossas-core)
# If this is a completely brand new install, then 
# %{_sysconfdir}/%{name}/jbossas.conf.rpmnew will not exist, or will 
# have some other md5 so the section below will get skipped
if [ "$1" == "1" ]; then
    if [ -f %{_sysconfdir}/%{name}/jbossas.conf ] && \
       [ -f %{_sysconfdir}/%{name}/jbossas.conf.rpmnew ] && \
       [ "`md5sum %{_sysconfdir}/%{name}/jbossas.conf`" == "bb931b166b3c165384797ed1efbf1679  %{_sysconfdir}/%{name}/jbossas.conf" ] && \
       [ "`md5sum %{_sysconfdir}/%{name}/jbossas.conf.rpmnew`" == "a357b811590cdf814e4725bbe85f6066  %{_sysconfdir}/%{name}/jbossas.conf.rpmnew" ]; then
         mv %{_sysconfdir}/%{name}/jbossas.conf.rpmnew %{_sysconfdir}/%{name}/jbossas.conf
    fi
fi

%postun core
# We NEVER, EVER remove users and groups from the system after they are added!
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jboss > /dev/null 2>&1 || :
#  groupdel jboss > /dev/null 2>&1 || :
#fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi

%pre
if [ "$1" = 2 ]; then
  # stop server before upgrade
  %{_sysconfdir}/init.d/%{name} stop >/dev/null 2>&1
fi

%preun
# remove service
if [ "$1" = 0 ]; then
  # on erase
  %{_sysconfdir}/init.d/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && chkconfig --del %{name}
fi

%post
[ -x /sbin/chkconfig ] && chkconfig --add %{name} || :

# core-server-file is auto-generated. See end of install section above
%files -f core-server-files core
%defattr(0644,jboss,jboss,0755)

# avoid these symlinks for now
#%attr(-,jboss,jboss) %{tmpdir}/%{name}
# they were replaced by straight dirs

%attr(-,jboss,jboss) %{logdir}/%{name}

%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_docdir}/%{name}-%{version}

%dir %{jbhomedir}
%{jbhomedir}/bin
%{jbhomedir}/docs
%{jbhomedir}/lib
%{jbhomedir}/server

%dir %{jbossdir}
%{jbossdir}/copyright.txt
%{jbossdir}/jar-versions.xml
%{jbossdir}/*.html
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,jboss,jboss) %{jbossdir}/bin/*.sh
%{jbossdir}/bin/run.conf
%{jbossdir}/client
%{jbossdir}/docs
%{jbossdir}/lib

# javadir
%dir %{_javadir}/jbossas

%files
%defattr(0644,jboss,jboss,0755)
%dir %{jbhomedir}
%dir %{jbossdir}
%dir %{jbhomedir}/client
%attr(0755,root,root) %{_sysconfdir}/init.d/%{name}
%attr(0755,root,root) %{_bindir}/*
%{jbhomedir}/client/jboss-backport-concurrent.jar
%{jbhomedir}/client/jbossretro-rt.jar
%{jbhomedir}/client/jbossws14-client.jar
%{jbhomedir}/client/namespace.jar
%dir %{jbossdir}/server
%dir %{jbossdir}/server/all
%dir %{jbossdir}/server/all/deploy
%{jbossdir}/server/all/deploy/jboss-aop.deployer
%{jbossdir}/server/all/deploy/jbossws14.sar
%dir %{jbossdir}/server/default
%dir %{jbossdir}/server/default/deploy
%{jbossdir}/server/default/deploy/jboss-aop.deployer
%{jbossdir}/server/default/deploy/jbossws14.sar
%dir %{_javadir}
%dir %{_javadir}/jbossas
%{_javadir}/jbossas/jboss-aspect-library-%{version}.jar
%{_javadir}/jbossas/jboss-aspect-library.jar

%changelog
* Fri May 18 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-2.CP04.el4s1.2
- Update source to one that includes the EJBTHREE-798 fix

* Tue May 14 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-2.CP04.el4s1.1
- Update to CP04
- Fix bz:238574

* Tue Jan 23 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.5
- Move init scripts and /usr/bin/* links out of core and into jbossas
- Fixed bz. 222765, 223025, 223262

* Tue Jan 09 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.4
- Disable default user/password via the enableauth patch

* Mon Jan 08 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Changes from pcheung@redhat to set up configurable start/stop delays
- Updated init script to try and send SIGTERM first
- Set up authentication to on by default
- Remove localhost binding

* Mon Dec 18 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Removed a file from jbossas-core that ened up there by mistake

* Fri Dec 08 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.2
- Added ownership for jbossas package files

* Tue Nov 14 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.1
- Upgrade to 4.0.5
- Build AS bits from source
- Add jars to /usr/share/java/jbossas
- Port security fixes from 4.0.4
- Added condrestart function to the init script
- From fnasser@redhat:
  - Add full paths for useradd/groupadd, and add shadow-utils requirement
- Frompcheung@redhat:
  - Increase timeout period in init script

* Wed Sep 27 2006 Deepak Bhole <dbhole@redhat.com> 4.0.4-1.el4s1.21
  From Permaine Cheung <pcheung@redhat.com>:
- Increase timeout period in init script

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.20
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script flags to netstat

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.19
  From Permaine Cheung <pcheung@redhat.com>:
- Check for non-empty JBOSS_HOME when copying
- Check for write permissions

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.18
- Document use of config files
  From Permaine Cheung <pcheung@redhat.com>:
- Set default values in init script

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.17
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script for when JBOSS_HOME is not /var/lib/jbossas

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.16
  From Permaine Cheung <pcheung@redhat.com>:
- Remove unecessary line from init script

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.15
- Rebuild with complete init script, truncated on previous build

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.14
  From Permaine Cheung <pcheung@redhat.com>:
- Added pid file and more info for status

* Fri Aug 04 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.13
- Disable patch for scripts
- Remove added sun-specs.txt as per request

* Fri Aug 04 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-0:4.0.4-1.el4s1.12
- Merge in differences wrt 0:4.0.4-1.el4s1.11
- Fix naming and JBOSS_HOME resolution for scripts
- Revert symlinking for scripts: real files in JBOSS_HOME/bin
- Fix typo wrt SOURCE4 (sun-specs.txt)

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.11
- Command name separator is dash, not underscore

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.10
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script so that service is not started on boot by default
- Add 'status' option to the SysV init script

* Fri Jul 28 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.9
- Do not mark directories as config
- The init script is unmuttable, so it is not a config file either

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.8
  From Permaine Cheung <pcheung@redhat.com>:
- New version of init script with fixes

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.7
- Change file ownership to use jboss userid and group

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.6
- Group is also jboss, not jbossas

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.5
- Userid is jboss, not jbossas
  (fixed spec file, init script and configuration files)
- Remove userdel stuff, as it is not acceptable practice
  From Ralph Apel <r.apel at r-apel.de>:
- Restored symlinks from /usr/share/jbossas/bin --> /var/lib/jbossas/bin, 
  /usr/share/jbossas/docs --> /usr/share/doc/jbossas and 
  /usr/share/jbossas/server --> /var/lib/jbossas/server
  JBOSS_HOME continues to be /var/lib/jbossas, but the
  jbossas OS user's home dir is still /usr/share/jbossas
  From Permaine Cheung <pcheung@redhat.com>:
- Fix to init script to wait for the server to complete startup and other fixes

* Thu Jul 27 2006 Permaine Cheung <pcheung@redhat.com> 0:4.0.4-1.el4s1.4
- New init script that handles several services

* Tue Jul 25 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.3
- Don't provide /etc/logrotate.d/jbossas: JB has its own log rotation
- New init script (modified from pcheung)
- Fix install of catalog
- Fix build environment of one example
- Sun licenses for dtd and xsd added from JB-4.0.2
- dropped docs/test (contained one testsuite summary text file)
- Restored symlinks from server config dirs to /var/log/jbossas/$conf
- Included sources in SRPM

* Fri Jul 21 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.2
- New init script (thx pcheung)
- Fix logrotate.d
- Move JBOSS_HOME to /var/lib/jbossas, 
- ./lib and ./client are symlinks to /usr/share/jbossas

* Mon Jul 10 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.1
- First build

